## Download matches for string queries by ID `client.brandProtection.matches.download(MatchDownloadParamsparams, RequestOptionsoptions?): MatchDownloadResponse` **get** `/accounts/{account_id}/brand-protection/matches/download` Return matches as CSV for string queries based on ID ### Parameters - `params: MatchDownloadParams` - `account_id: string` Path param - `id?: string` Query param - `include_domain_id?: boolean` Query param - `limit?: number` Query param - `offset?: number` Query param ### Returns - `MatchDownloadResponse` - `matches?: Array>` - `total?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.brandProtection.matches.download({ account_id: 'x' }); console.log(response.matches); ``` #### Response ```json { "matches": [ { "foo": "bar" } ], "total": 0 } ```